# dipy_horizon

## Synopsis

Interactive medical visualization - Invert the Horizon!

See [1] for further details about Horizon. Interact with any number of .trx, .trk, .tck or .dpy tractograms and anatomy files .nii or .nii.gz. Cluster streamlines on loading.

## Usage

    dipy_horizon [OPTIONS] input_files

## Input Parameters

- `input_files`

  Filenames.

## General Options

- `--cluster`

  Enable QuickBundlesX clustering. (default: False)

- `--rgb`

  Enable the color image (rgb only, alpha channel will be ignored). (default: False)

- `--cluster_thr`

  Distance threshold used for clustering. Default value 15.0 for small animal brains you may need to use something smaller such as 2.0. The distance is in mm. For this parameter to be active `cluster` should be enabled. (default: 15.0)

- `--random_colors`

  Given multiple tractograms and/or ROIs then each tractogram and/or ROI will be shown with different color. If no value is provided, both the tractograms and the ROIs will have a different random color generated from a distinguishable colormap. If the effect should only be applied to one of the 2 types, then use the options ‘tracts’ and ‘rois’ for the tractograms and the ROIs respectively. (default: None)

- `--length_gt`

  Clusters with average length greater than `length_gt` amount in mm will be shown. (default: 0)

- `--length_lt`

  Clusters with average length less than `length_lt` amount in mm will be shown. (default: 1000)

- `--clusters_gt`

  Clusters with size greater than `clusters_gt` will be shown. (default: 0)

- `--clusters_lt`

  Clusters with size less than `clusters_gt` will be shown. (default: 100000000)

- `--native_coords`

  Show results in native coordinates. (default: False)

- `--stealth`

  Do not use interactive mode just save figure. (default: False)

- `--emergency_header`

  If no anatomy reference is provided an emergency header is provided. Current options ‘icbm_2009a’ and ‘icbm_2009c’. (default: icbm_2009a)

- `--bg_color`

  Define the background color of the scene. Colors can be defined with 1 or 3 values and should be between [0-1]. (default: (0, 0, 0))

- `--disable_order_transparency`

  Use depth peeling to sort transparent objects. If True also enables anti-aliasing. (default: False)

- `--buan`

  Enables BUAN framework visualization. (default: False)

- `--buan_thr`

  Uses the threshold value to highlight segments on the bundle which have pvalues less than this threshold. (default: 0.5)

- `--buan_highlight`

  Define the bundle highlight area color. Colors can be defined with 1 or 3 values and should be between [0-1]. For example, a value of (1, 0, 0) would mean the red color. (default: (1, 0, 0))

- `--roi_images`

  Displays binary images as contours. (default: False)

- `--roi_colors`

  Define the color for the roi images. Colors can be defined with 1 or 3 values and should be between [0-1]. For example, a value of (1, 0, 0) would mean the red color. (default: (1, 0, 0))

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_stealth_png`

  Filename of saved picture. (default: tmp.png)

## References

[1]

Eleftherios Garyfallidis, Marc-Alexandre Côté, Bramsh Qamar Chandio, Shreyas Fadnavis, Javier Guaje, Ranveer Aggarwal, Etienne St-Onge, Karandeep Singh Juneja, Serge Koudoro, and David Reagan. DIPY Horizon: fast, modular, unified and adaptive visualization. In ISMRM 27th Annual Meeting & Exhibition SMRT 28th Annual Meeting, volume. Montréal, Canada, 2019. International Society for Magnetic Resonance in Medicine (ISMRM).

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.